#!/usr/bin/perl

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# To obtain a copy of the GNU General Public License, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

use strict;
use warnings;

use Device::SerialPort;

my $PortObj=Device::SerialPort->new("/dev/ttyACM0");

$PortObj->baudrate(57600);
$PortObj->parity("none");
$PortObj->databits(8);
$PortObj->stopbits(1);
$PortObj->handshake("rts");
$PortObj->write_settings;

# left the Kantronics commands in there for kicks
# $PortObj->write(chr(192));
# $PortObj->write(chr(255));
# $PortObj->write(chr(192));
# $PortObj->write(chr(013));

# control-c 's should be enough for OT USB
$PortObj->write(chr(003));
$PortObj->write(chr(003));
$PortObj->write(chr(003));
$PortObj->write(chr(013));

print "\ncommands sent to exit KISS mode\n\n";
